-- recognize csx files as csharp
vim.api.nvim_command('au BufRead,BufNewFile *.csx set filetype=cs')

-- enable dadbod completion for sql files
vim.api.nvim_command("au FileType sql let b:db = exists('*DotenvGet') ? DotenvGet('DATABASE_URL') : eval('$DATABASE_URL')")
vim.api.nvim_command([[au FileType sql lua require'cmp'.setup.buffer {
  sources = {
    { name = 'vim-dadbod-completion' },
    { name = 'buffer' },
  }}
]])
